summaryrefslogtreecommitdiffstats
path: root/remote/modules/xorg/data
diff options
context:
space:
mode:
authorManuel Schneider2013-12-02 19:19:26 +0100
committerManuel Schneider2013-12-02 19:19:26 +0100
commitf8a146d746b7d61fc8e1bf2eb97e448ca47a857a (patch)
tree0b736e1698069de2dc442931de529f1ccd40f9a8 /remote/modules/xorg/data
parentxmodesetter (diff)
parent[xorg] Support /etc/X11/Xsession.d (diff)
downloadtm-scripts-f8a146d746b7d61fc8e1bf2eb97e448ca47a857a.tar.gz
tm-scripts-f8a146d746b7d61fc8e1bf2eb97e448ca47a857a.tar.xz
tm-scripts-f8a146d746b7d61fc8e1bf2eb97e448ca47a857a.zip
Merge branch 'master' of git.openslx.org:openslx-ng/tm-scripts
Diffstat (limited to 'remote/modules/xorg/data')
-rwxr-xr-xremote/modules/xorg/data/etc/X11/Xreset24
-rwxr-xr-x[-rw-r--r--]remote/modules/xorg/data/etc/X11/Xsession8
2 files changed, 32 insertions, 0 deletions
diff --git a/remote/modules/xorg/data/etc/X11/Xreset b/remote/modules/xorg/data/etc/X11/Xreset
new file mode 100755
index 00000000..a77cf2c0
--- /dev/null
+++ b/remote/modules/xorg/data/etc/X11/Xreset
@@ -0,0 +1,24 @@
+#!/bin/sh
+#
+# /etc/X11/Xreset
+#
+# global Xreset file -- for use by display managers
+
+# $Id: Xsession 967 2005-12-27 07:20:55Z dnusinow $
+
+set -e
+
+PROGNAME=Xreset
+SYSSESSIONDIR=/etc/X11/Xreset.d
+
+if [ ! -d "$SYSSESSIONDIR" ]; then
+ # Nothing to do, exiting
+ exit 0
+fi
+
+for SESSIONFILE in $SYSSESSIONDIR/*; do
+ . "$SESSIONFILE" || slxlog "xreset" "Xreset: Could not source $SESSIONFILE." "$SESSIONFILE"
+done
+
+exit 0
+
diff --git a/remote/modules/xorg/data/etc/X11/Xsession b/remote/modules/xorg/data/etc/X11/Xsession
index 15867190..dc64cf77 100644..100755
--- a/remote/modules/xorg/data/etc/X11/Xsession
+++ b/remote/modules/xorg/data/etc/X11/Xsession
@@ -2,6 +2,14 @@
#Workaround to start Xsession. The original Xsession script includes error handling functionality and sources other scrips from the Xsession.d/ directory.
+SESSIONDIR="/etc/X11/Xsession.d"
+
+if [ -d "$SESSIONDIR" ]; then
+ for file in $SESSIONDIR/*; do
+ . $file || slxlog "xsession" "Xsession: Could not source $file" "$file"
+ done
+fi
+
#start selected session
case "$1" in
failsafe)